Retrieves the user_planning_slot with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Response Formats

application/json, text/json

Sample:
{
  "id": "e677dfd7-9e04-453d-9737-486bbedf03a3",
  "user_id": "ea495d86-0f9e-431c-ad5f-2b1280e8f453",
  "user_planning_slot_type_id": "7b1ca9b9-7457-4338-a4dc-0485c8f7e9af",
  "date_from": "2026-11-20T18:10:04.8477401+00:00",
  "date_to": "2026-11-20T18:10:04.8477401+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-11-20T18:10:04.8477401+00:00"
}